<?php

require'config.php';
$align='left';

if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;}
$nk = intval($_GET['nk']);
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".$nk."'"));
$title='Нарушения '.$inf[user];
aut();
head();
who_add(0,'enter');
echo '<br />';
if ($inf['id']!=$user['id'])$db->sql_query ("INSERT INTO oko (user_id,who_id,msg,time) VALUES ('$inf[id]','$user[id]','".check('Смотрит Ваши нарушения')."','$time')");
if (isset($_POST['msg'])){

if (strlen2($_POST['msg'])<3){header ('Location: nar'.$inf['id'].'?'.SID); exit;}
if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
$db->sql_query ("INSERT INTO nar (user_id,mgs_id,msg,time) VALUES ('$inf[id]','$user[id]','".check($_POST['msg'])."','$time')");
posts_add();
header ('Location: nar'.$inf['id'].'?'.SID);
if (user_inf($inf['id'],'st_notify')==1){
if ($user['sex']==1)$sex = 'вписал'; else $sex = 'вписала';
$msg = 'Пользователь [b]'.$user['user'].'[/b] '.$sex.' Вам [url=/nar'.$inf['id'].']нарушение[/url].';
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($inf['id'])."','".user_inf($inf['id'])."','$time','$msg')");}
foot();
}


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from nar where user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from nar where user_id = '".$inf['id']."' order by time desc LIMIT $start, $max");

if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'Показаны нарушения '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
if ($k_post == 0)echo 'Нарушений нет...<br /><br />';

$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.'<b>'.nik($a['mgs_id']).'</b> ('.times($a['time']).')'.div;

echo '&#160;'.smiles(antir(antim(bbcode(br($a['msg']))))).'<br/>';
if ($a['img']!='')echo '<a href="'.H.'files/nar/'.$a['img'].'"><img src="'.H.'nar_img?'.$a[id].'" width="'.$set['w_img_sten'].'" height="'.$set['h_img_sten'].'" alt="'.$a['img'].'"/></a><br />';
echo '<dt></dt><small>&#160;&#160;';
if (user_inf($a[mgs_id],'sex')==1)$sex = 'Его'; else $sex = 'Её';
if ($a[mgs_id]!=$user[id]&&$a[mgs_id]!=$inf[id])echo '<a href="'.H.'nar'.$a[mgs_id].'">Нарушения '.$sex.'</a>';
if($inf[id]!=$user[id] && $a[mgs_id]==$user[id] || ($inf[id]!=$user[id] && $user[level]>=7))
echo '<a href="'.H.'nar'.$inf['id'].'?delk='.$a['id'].'">Удалить Нарушение</a>';
echo $delk.'</small><dt></dt>';
echo '<dl></dl>';
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str(H.'nar'.$inf['id'].'?',$k_page,$page); // Вывод страниц
echo "<dl><dt></dt></dl>";
}

if($user['level']>=5)
if ($ver!='wml')echo '<form action="nar'.$inf['id'].'?'.SID.'" method="post">';
if($user['level']>=5)
if ($ver=='wml')echo 'Нарушение:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else {echo 'Нарушение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';
}

if ($ver=='wml'){
if($user['level']>=5)
echo '<anchor title="go">Вписать Нарушение<go href="nar'.$inf['id'].'?'.SID.'" method="post">';
if($user['level']>=5)
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
if($user['level']>=5)
echo '<input type="submit" class="ibutton" value="Вписать Нарушение"/></form><br /><br />';
}


if (isset($_GET['delk'])){
$a = $db->sql_fetchrow($db->sql_query ("Select * from nar where id = '".intval($_GET['delk'])."'"));
if($inf[id]!=$user[id] && $a[mgs_id]==$user[id] || ($inf[id]!=$user[id] && $user[level]>=9)){
$db->sql_query("DELETE FROM `nar` WHERE `id` = '".intval($_GET['delk'])."'");
}
header ('Location: nar'.$inf['id'].'?'.SID);

}

echo '<br />';
echo gb.'<a href="'.H.$inf[id].'">В Анкету</a>'.div;
echo gb.'<a href="'.H.'enter?">Прихожая</a>'.div;
foot();
?>
